using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace AirGame
{
    public partial class Form1 : Form
    {
        public int airX=100, airY=100,C=5,TX,TY;
        public int kx=0,ky=0;
        public bool shoot = false;
        public Random rnd = new Random();
        public Form1()
        {
            InitializeComponent();
        }
        private void timer1_Tick(object sender, EventArgs e)
        {
            if (((TX == 0) && (TY == 0)) || ((TX == airX) && (TY == airY))) 
            {
                TX = rnd.Next(C, panel1.Width - pictureBox1.Width);
                TY = rnd.Next(C, panel1.Height - (pictureBox1.Height*2));
                TX -= TX % C;
                TY -= TY % C;
            }
            if (airX > TX)
                kx = -C;
            else if (airX < TX)
                kx = C;
            else kx = 0;
            if (airY > TY)
                ky = -C;
            else if (airY < TY)
                ky = C;
            else
                ky = 0;
            if (kx >= 0)
            {
                pictureBox1.Visible = false;
                pictureBox3.Visible = true;
            }
            else
            {
                pictureBox1.Visible = true;
                pictureBox3.Visible = false;
            }
            pictureBox1.Left = airX;
            pictureBox1.Top = airY ;
            pictureBox3.Left = airX;
            pictureBox3.Top = airY;
            airX += kx;
            airY += ky;
            Console.Beep((panel1.Height-airY)*3, 1);
            if (shoot)
            {
                Console.Beep( (pictureBox2.Top*10)+400,15);
                pictureBox2.Top -= C*5;
                if (pictureBox2.Top + pictureBox2.Height <= 0)
                {
                    pictureBox2.Visible = false;
                    shoot = false;
                }
                else if ((pictureBox2.Top <= pictureBox1.Top + pictureBox1.Height) && (pictureBox2.Top + pictureBox2.Height >= pictureBox1.Top)
                    && (pictureBox2.Left + pictureBox2.Width >= pictureBox1.Left) && (pictureBox2.Left <= pictureBox1.Left + pictureBox1.Width)) 
                {
                    pictureBox2.Top -= C*2;
                    int i, j;
                    for(i=1;i<=5;i++)
                        for(j=38;j<8000;j+=400)
                            Console.Beep(j, 10);

                    shoot = false;
                    pictureBox2.Visible = false;
                    label2.Text = (int.Parse(label2.Text) + 1).ToString();
                }
            }
            
        }
        private void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            if ((e.KeyValue == 37) && (pictureBox5.Left - C >= panel1.Left))
                pictureBox5.Left -= C;
            if ((e.KeyValue == 39) && (pictureBox5.Left + C+pictureBox5.Width  <= panel1.Left+panel1.Width))
                pictureBox5.Left += C;
            if ((e.KeyValue == 13) && (shoot == false))
            {
                pictureBox2.Left = pictureBox5.Left - panel1.Left + 5;
                pictureBox2.Top = pictureBox5.Top - panel1.Top - pictureBox2.Height - 5;
                pictureBox2.Visible = true;
                shoot = true;
                TX = rnd.Next(C, panel1.Width - pictureBox1.Width);
                TY = rnd.Next(C, panel1.Height - (pictureBox1.Height * 2));
                TX -= TX % C;
                TY -= TY % C;
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            pictureBox4.Left  = (this.Width / 2) - (pictureBox4.Width / 2);
            pictureBox5.Left  = (this.Width / 2) - (pictureBox5.Width / 2);

        }
    }
}